Delete Event Date
curl --request DELETE \
--url https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates/{date_id}import requests
url = "https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates/{date_id}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates/{date_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates/{date_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates/{date_id}"
req, _ := http.NewRequest("DELETE", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates/{date_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates/{date_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
response = http.request(request)
puts response.read_bodyEvent Dates
Delete Event Date
Remove a date from an event.
DELETE
/
wp-json
/
latepoint-api
/
v1
/
events
/
{id}
/
dates
/
{date_id}
Delete Event Date
curl --request DELETE \
--url https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates/{date_id}import requests
url = "https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates/{date_id}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates/{date_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates/{date_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates/{date_id}"
req, _ := http.NewRequest("DELETE", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates/{date_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates/{date_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
response = http.request(request)
puts response.read_bodyThe event’s overall
start and end are recalculated after the date is removed.
Path Parameters
integer
required
The ID of the event
integer
required
The ID of the date to delete
Example Request
DELETE /wp-json/latepoint-api/v1/events/2/dates/3
Authorization: Bearer YOUR_API_KEY
Response
{
"success": true,
"message": "Event date deleted successfully"
}
Error Response
If the date does not exist or belongs to another event, you will receive an error:{
"code": "event_date_not_found",
"message": "Event date not found",
"data": {
"status": 404
}
}
